import { BaseObjNodeClass } from '../_Base';
import { DisplayNodeController, DisplayNodeControllerCallbacks } from '../../utils/DisplayNodeController';
import { Group } from 'three/src/objects/Group';
import { PolyDictionary } from '../../../../types/GlobalTypes';
interface BaseObjNodeClassWithDisplayNode extends BaseObjNodeClass {
    display_node_controller: DisplayNodeController;
}
export declare class ChildrenDisplayController {
    private node;
    _children_uuids_dict: PolyDictionary<boolean>;
    _children_length: number;
    private _sop_group;
    constructor(node: BaseObjNodeClassWithDisplayNode);
    private _create_sop_group;
    get sop_group(): Group;
    set_sop_group_name(): void;
    display_node_controller_callbacks(): DisplayNodeControllerCallbacks;
    initializeNode(): void;
    private _updateSopGroupHierarchy;
    usedInScene(): boolean;
    request_display_node_container(): Promise<void>;
    remove_children(): void;
    _set_content_under_sop_group(): Promise<void>;
}
export {};
